Bug 1294083 - Wrong URL for CentOS VIrt SIG repository when using EL7 Server variant
Wrong URL for CentOS VIrt SIG repository when using EL7 Server variant
Status: CLOSED CURRENTRELEASE
Product: ovirt-release
Classification: oVirt
Component: CentOS (Show other bugs)
master-002
Unspecified Unspecified
high Severity low (vote)
: ovirt-4.0.0-alpha
: master-002
Assigned To: Sandro Bonazzola
Gonza
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-24 09:11 EST by Yedidyah Bar David
Modified: 2016-03-24 03:33 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 05:57:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 52575 master MERGED master: fix Virt SIG URL for EL7 Server 2016-01-21 11:19 EST
oVirt gerrit 55176 ovirt-3.6 MERGED master: fix Virt SIG URL for EL7 Server 2016-03-24 03:40 EDT

  None (edit)
Description Yedidyah Bar David 2015-12-24 09:11:04 EST
Description of problem:

We point at [1], but on RHEL, $releasever is 7Server, which does not exist.

Not sure if we try to support rhel. On centos it's '7' which works.

If we do, need to either fix the source (find some yum var that returns
'7' in such a case, or hard-code '7' during building the file) or ask
centos to add a link.

[1] http://mirror.centos.org/centos/$releasever/virt/$basearch/ovirt-3.6/
Comment 1 Sandro Bonazzola 2016-01-21 11:45:26 EST
ovirt-release-master has been updated with the fixing patch.
Comment 2 Gonza 2016-02-04 02:53:59 EST
Verified with:
ovirt-release-master-4.0.0-0.0.master.noarch
Red Hat Enterprise Linux Server release 7.2 (Maipo)

...
[centos-ovirt36]
name=CentOS-$releasever - oVirt 3.6
baseurl=http://mirror.centos.org/centos/7/virt/$basearch/ovirt-3.6/
gpgcheck=0
enabled=1

Note You need to log in before you can comment on or make changes to this bug.